# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate trust-dns-client

Name:           rust-trust-dns-client
Version:        0.22.0
Release:        %mkrel 1
Summary:        Trust-DNS is a safe and secure DNS library
Group:          Development/Other
# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/trust-dns-client
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * remove features for using crypto with limited architecture support
# * remove unused tracing-subscriber dev-dependency
Patch:          trust-dns-client-fix-metadata.diff
# * skip running doctests which require internet access
Patch:          0001-do-not-run-doctests-which-require-internet-access.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Trust-DNS is a safe and secure DNS library. This is the Client library
with DNSec support.  DNSSec with NSEC validation for negative records,
is complete. The client supports  dynamic DNS with SIG0 authenticated
requests, implementing easy to use high level  funtions. Trust-DNS is
based on the Tokio and Futures libraries, which means  it should be
easily integrated into other software that also use those  libraries.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+backtrace-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+backtrace-devel %{_description}

This package contains library source intended for building other packages which
use the "backtrace" feature of the "%{crate}" crate.

%files       -n %{name}+backtrace-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-https-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-https-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-https" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-https-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-https-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-https-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-https-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-https-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-native-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-native-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-native-tls" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-native-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dns-over-tls-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dns-over-tls-devel %{_description}

This package contains library source intended for building other packages which
use the "dns-over-tls" feature of the "%{crate}" crate.

%files       -n %{name}+dns-over-tls-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dnssec-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dnssec-devel %{_description}

This package contains library source intended for building other packages which
use the "dnssec" feature of the "%{crate}" crate.

%files       -n %{name}+dnssec-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dnssec-openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dnssec-openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "dnssec-openssl" feature of the "%{crate}" crate.

%files       -n %{name}+dnssec-openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+mdns-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+mdns-devel %{_description}

This package contains library source intended for building other packages which
use the "mdns" feature of the "%{crate}" crate.

%files       -n %{name}+mdns-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+openssl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+openssl-devel %{_description}

This package contains library source intended for building other packages which
use the "openssl" feature of the "%{crate}" crate.

%files       -n %{name}+openssl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-config-devel %{_description}

This package contains library source intended for building other packages which
use the "serde-config" feature of the "%{crate}" crate.

%files       -n %{name}+serde-config-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif



%changelog
* Sun Nov 19 2023 wally <wally> 0.22.0-1.mga10
+ Revision: 2008021
- mageiafy .spec
- imported package rust-trust-dns-client


* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.22.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Mar 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.22.0-1
- Initial import (#2181779)
